dudleycpp.cpp File Reference
`#include <dudley/Dudley.h>`
`#include <dudley/DomainFactory.h>`
`#include <dudley/DudleyDomain.h>`
`#include <escript/ExceptionTranslators.h>`
`#include <boost/python.hpp>`
`#include <boost/python/def.hpp>`
`#include <boost/python/module.hpp>`
`#include <boost/python/detail/defaults_gen.hpp>`
`#include <boost/version.hpp>`

## Functions

| BOOST_PYTHON_MODULE (dudleycpp)

## Function Documentation

## BOOST_PYTHON_MODULE()

BOOST_PYTHON_MODULE | ( | dudleycpp |  | ) |

References dudley::DudleyDomain::addPDEToLumpedSystem(), dudley::DudleyDomain::addPDEToRHS(), dudley::DudleyDomain::addPDEToSystem(), dudley::DudleyDomain::addPDEToTransportProblem(), dudley::brick_driver(), dudley::DudleyDomain::dump(), dudley::DudleyDomain::getDataShape(), dudley::DudleyDomain::getDescription(), dudley::DudleyDomain::getDim(), dudley::DudleyDomain::getMPIRank(), dudley::DudleyDomain::getMPISize(), dudley::DudleyDomain::getNormal(), dudley::DudleyDomain::getNumDataPointsGlobal(), dudley::DudleyDomain::getSize(), dudley::DudleyDomain::getSystemMatrixTypeId(), dudley::DudleyDomain::getTag(), dudley::DudleyDomain::getTransportTypeId(), dudley::DudleyDomain::getX(), dudley::DudleyDomain::isValidTagName(), dudley::DudleyDomain::load(), dudley::DudleyDomain::MPIBarrier(), dudley::DudleyDomain::newSystemMatrix(), dudley::DudleyDomain::newTransportProblem(), dudley::DudleyDomain::onMasterProcessor(), dudley::DudleyDomain::Print_Mesh_Info(), dudley::readGmsh(), dudley::readMesh(), dudley::rectangle_driver(), REGISTER_ESCRIPT_EXCEPTION_TRANSLATORS, escript::RuntimeErrorTranslator(), dudley::DudleyDomain::setNewX(), dudley::DudleyDomain::setTagMap(), dudley::DudleyDomain::showTagNames(), and dudley::DudleyDomain::write().